Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::Zone Struct Reference
Inheritance diagram for ClarisWksTextInternal::Zone:

## Public Member Functions
| Zone (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| constructor More...
virtual | ~Zone ()
| destructor More...
virtual void | removeChild (int cId, bool normalChild)
| remove a child from a list. More...
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor More...
virtual | ~DSET ()
| virtual destructor More...
bool | isHeaderFooter () const
| test if the zone is an header/footer More...
bool | isSlide () const
| test if the zone is a slide More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
int | getMaximumPage () const
| returns the maximum page More...
virtual void | removeChild (int cId)
| virtual function to remove a child from a list More...
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box More...
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, std::set< int > &forbiddenPageBreak) const
| find forbidden page break More...
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box) More...

## Public Attributes
std::vector< MWAWEntry > | m_zones
int | m_numChar
| the number of char in text zone More...
int | m_numTextZone
| the number of text zone ( ie. More...
int | m_numParagInfo
| the number of paragraph info More...
int | m_numFont
| the number of font More...
int | m_fatherId
| the father id More...
int | m_unknown
| an unknown flags More...
std::vector< MWAWFont > | m_fontList
| the list of fonts More...
std::vector< ParagraphPLC > | m_paragraphList
| the list of paragraph More...
std::vector< Section > | m_sectionList
| the list of section More...
std::vector< Token > | m_tokenList
| the list of token More...
std::vector< TextZoneInfo > | m_textZoneList
| the list of zone More...
std::multimap< long, PLC > | m_plcMap
| the plc map More...
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header More...
long | m_numData
| the number of header More...
long | m_dataSz
| the data size More...
long | m_headerSz
| the header size More...
Position | m_position
| the zone type More...
int | m_fileType
| the type ( 0: text, -1: graphic, ...) More...
int | m_page
| the page (if known) More...
MWAWBox2f | m_box
| the bounding box (if known) More...
MWAWVec2f | m_pageDimension
| the page dimension (if know) More...
int | m_id
| the zone identificator More...
std::set< int > | m_fathersList
| the list of fathers More...
int | m_beginSelection
| the begin of selection ( at least in text header) More...
int | m_endSelection
| the end of selection ( at least in text header) More...
int | m_textType
| the text type (header/footer,footnote, ...) More...
int | m_flags [4]
| some unknown flag More...
std::vector< Child > | m_childs
| the list of child zone More...
std::vector< int > | m_otherChilds
| the list of other child More...
bool | m_parsed
| a flag to know if the entry is sent or not to the listener More...
int | m_internal
| an internal variable used to do some computation More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &doc)
| operator<< More...

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0, P_Header, P_Footer, P_Frame, P_Footnote, P_Table, P_GraphicMaster, P_Slide, P_SlideNote, P_SlideThumbnail, P_SlideMaster, P_Unknown }
| the zone position More...
enum | ChildType { C_Zone, C_SubText, C_Graphic, C_Unknown }
| the different types of zone child More...

## Constructor & Destructor Documentation

## ◆ Zone()

ClarisWksTextInternal::Zone::Zone | ( | ClarisWksStruct::DSET const & | dset = `ClarisWksStruct::DSET()` | ) |
| inline explicit

constructor

## ◆ ~Zone()

ClarisWksTextInternal::Zone::~Zone | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ removeChild()

virtual void ClarisWksTextInternal::Zone::removeChild | ( | int | cId,
|  | bool | normalChild
| ) |  |
| inline virtual

remove a child from a list.

Normally, this function is not called, so optimizing it is not usefull

Reimplemented from ClarisWksStruct::DSET.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | doc
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_fatherId

int ClarisWksTextInternal::Zone::m_fatherId

the father id

## ◆ m_fontList

std::vector<MWAWFont> ClarisWksTextInternal::Zone::m_fontList

the list of fonts

Referenced by ClarisWksText::readFonts(), and ClarisWksText::sendText().

## ◆ m_numChar

int ClarisWksTextInternal::Zone::m_numChar

the number of char in text zone

## ◆ m_numFont

int ClarisWksTextInternal::Zone::m_numFont

the number of font

## ◆ m_numParagInfo

int ClarisWksTextInternal::Zone::m_numParagInfo

the number of paragraph info

## ◆ m_numTextZone

int ClarisWksTextInternal::Zone::m_numTextZone

the number of text zone ( ie.

number of page ? )

## ◆ m_paragraphList

std::vector<ParagraphPLC> ClarisWksTextInternal::Zone::m_paragraphList

the list of paragraph

Referenced by ClarisWksText::findListId(), ClarisWksText::readParagraphs(), and ClarisWksText::sendText().

## ◆ m_plcMap

std::multimap<long, PLC> ClarisWksTextInternal::Zone::m_plcMap

the plc map

Referenced by ClarisWksText::findListId(), ClarisWksText::readFonts(), ClarisWksText::readParagraphs(), ClarisWksText::readTextSection(), ClarisWksText::readTextZoneSize(), ClarisWksText::readTokens(), and ClarisWksText::sendText().

## ◆ m_sectionList

std::vector<Section> ClarisWksTextInternal::Zone::m_sectionList

the list of section

Referenced by ClarisWksText::canSendTextAsGraphic(), ClarisWksText::readTextSection(), ClarisWksText::sendText(), and ClarisWksText::updatePageSpanList().

## ◆ m_textZoneList

std::vector<TextZoneInfo> ClarisWksTextInternal::Zone::m_textZoneList

the list of zone

Referenced by ClarisWksText::readTextZoneSize().

## ◆ m_tokenList

std::vector<Token> ClarisWksTextInternal::Zone::m_tokenList

the list of token

Referenced by ClarisWksText::canSendTextAsGraphic(), ClarisWksText::readTokens(), and ClarisWksText::sendText().

## ◆ m_unknown

int ClarisWksTextInternal::Zone::m_unknown

an unknown flags

## ◆ m_zones

std::vector<MWAWEntry> ClarisWksTextInternal::Zone::m_zones

Referenced by ClarisWksText::sendText().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx